

-- This file has been modified from the original mysqldump output.


-- MySQL dump 10.10
--
-- Host: localhost    Database: bug23311
-- ------------------------------------------------------
-- Server version	5.0.24a-standard-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `log`
--

DROP TABLE IF EXISTS `log`;
CREATE TABLE `log` (
  `time` TIMESTAMP,
  `entry` TEXT default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `t1`
--

DROP TABLE IF EXISTS `t1`;
CREATE TABLE `t1` (
  `id` int(11) NOT NULL default '0',
  `f1` char(20) default NULL,
  `f2` char(20) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

DELIMITER |
CREATE TRIGGER t1_bi BEFORE INSERT ON t1 FOR EACH ROW
BEGIN
    INSERT INTO log (entry) VALUES ('t1_bi fired.');
    INSERT INTO t5 (
                    id,
                    t1f1,
                    t1f2
                    ) VALUES (
                    NEW.id,
                    NEW.f1,
                    NEW.f2
                    );
    UPDATE t5 
        LEFT JOIN t2 ON t5.id = t2.id
        LEFT JOIN t3 ON t5.id = t3.id
        LEFT JOIN t4 ON t5.id = t4.id
    SET
        t5.t2f1 = t2.f1,
        t5.t2f2 = t2.f2,
        t5.t3f1 = t3.f1,
        t5.t3f2 = t3.f2,
        t5.t4f1 = t4.f1,
        t5.t4f2 = t4.f2
    WHERE t5.id = NEW.id;
END;
|
DELIMITER ;

--
-- Table structure for table `t2`
--

DROP TABLE IF EXISTS `t2`;
CREATE TABLE `t2` (
  `id` int(11) NOT NULL default '0',
  `f1` char(20) default NULL,
  `f2` char(20) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



DELIMITER |
CREATE TRIGGER t2_bi BEFORE INSERT ON t2 FOR EACH ROW
BEGIN
    INSERT INTO log (entry) VALUES ('t2_bi fired.');
    UPDATE t5
    SET
        t5.t2f1 = NEW.f1,
        t5.t2f2 = NEW.f2
    WHERE
        t5.id = NEW.id;
END;
|
DELIMITER ;


--
-- Table structure for table `t3`
--

DROP TABLE IF EXISTS `t3`;
CREATE TABLE `t3` (
  `id` int(11) NOT NULL default '0',
  `f1` char(20) default NULL,
  `f2` char(20) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


DELIMITER |
CREATE TRIGGER t3_bi BEFORE INSERT ON t3 FOR EACH ROW
BEGIN
    INSERT INTO log (entry) VALUES ('t3_bi fired.');
    UPDATE t5
    SET
        t5.t3f1 = NEW.f1,
        t5.t3f2 = NEW.f2
    WHERE
        t5.id = NEW.id;
END;
|
DELIMITER ;

--
-- Table structure for table `t4`
--

DROP TABLE IF EXISTS `t4`;
CREATE TABLE `t4` (
  `id` int(11) NOT NULL default '0',
  `f1` char(20) default NULL,
  `f2` char(20) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

DELIMITER |
CREATE TRIGGER t4_bi BEFORE INSERT ON t4 FOR EACH ROW
BEGIN
    INSERT INTO log (entry) VALUES ('t4_bi fired.');
    UPDATE t5
    SET
        t5.t4f1 = NEW.f1,
        t5.t4f2 = NEW.f2
    WHERE
        t5.id = NEW.id;
END;
|
DELIMITER ;


--
-- Table structure for table `t5`
--

DROP TABLE IF EXISTS `t5`;
CREATE TABLE `t5` (
  `id` int(11) NOT NULL default '0',
  `t1f1` char(20) default NULL,
  `t1f2` char(20) default NULL,
  `t2f1` char(20) default NULL,
  `t2f2` char(20) default NULL,
  `t3f1` char(20) default NULL,
  `t3f2` char(20) default NULL,
  `t4f1` char(20) default NULL,
  `t4f2` char(20) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

